Bug 48915 - VM in kernel 2.4.6-2 is very bad.
VM in kernel 2.4.6-2 is very bad.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-12 11:10 EDT by hjl
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-18 21:31:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A glibc Makefile to trigger the VM bug. (2.56 KB, text/plain)
2001-07-22 14:11 EDT, hjl
no flags Details

  None (edit)
Description hjl 2001-07-12 11:10:27 EDT
When I rebuild glibc 2.2.3-13 rpm, I get

VM: killing process makeinfo
VM: killing process ld.so
VM: killing process syslogd
VM: killing process cc1

under 2.4.6-1. I have no problem with 2.4.5-10. It
happens on 2 machines:

# free
                total       used       free     shared    buffers    
cached
Mem:         93172      89816       3356          0      58348       9980
-/+ buffers/cache:      21488      71684
Swap:       530104       7216     522888

# free
             total       used       free     shared    buffers     cached
Mem:        255124     244192      10932          0      18700     187232
-/+ buffers/cache:      38260     216864
Swap:       530104      10872     519232

I don't think memory is a problem.
Comment 1 hjl 2001-07-16 20:22:13 EDT
I got the same problem with 2.4.6-2.  When I built glibc 2.2 with
parallel make, I got

VM: killing process ld
VM: killing process ld
VM: killing process ld
VM: killing process ld
VM: killing process ld
VM: killing process makeinfo
VM: killing process makeinfo
VM: killing process ld
VM: killing process ld
VM: killing process ld
VM: killing process ld

It is on a machine with 256MB RAM and 512 MB swap. When it happened, about 40 MB
swap
was used and load average was about 8. I had no problem with 2.4.5-10.
Comment 2 hjl 2001-07-22 14:11:48 EDT
Created attachment 24509 [details]
A glibc Makefile to trigger the VM bug.
Comment 3 hjl 2001-07-22 14:12:58 EDT
I uploaded a Makefile for glibc which triggers
the VM bug. It happens to me on UP machines with
96MB and 256MB RAM.
Comment 4 Jay Turner 2002-03-18 21:31:07 EST
Can I close this issue out?  VM problems are lots better in the latest kernels
aren't they.
Comment 5 hjl 2002-03-18 23:47:05 EST
Please close it. It works fine now.

Note You need to log in before you can comment on or make changes to this bug.